System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.IDataRecord System.IDisposable

The and interfaces allow an inheriting class to implement a DataReader class, which provides a means of reading one or more forward-only streams of result sets. For more information about DataReader classes, see [<topic://cpcontheadonetdatareader>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement the inherited members, and typically define additional members to add provider-specific functionality.

Changes made to a result set by another process or thread while data is being read may be visible to the user of a class that implements an IDataReader. However, the precise behavior is both provider and timing dependent.

Provides a means of reading one or more forward-only streams of result sets obtained by executing a command at a data source, and is implemented by .NET Framework data providers that access relational databases.

- Method
  System.Void

  You must explicitly call the method when you are through using the to use the associated for any other purpose.

  Closes the Object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The outermost table has a depth of zero.

  Gets a value indicating the depth of nesting for the current row.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataTable

  The implementation of method for the .NET Framework Data Provider for OLE DB maps to the OLE DB IColumnsRowset::GetColumnsRowset method, while implementations for other .NET Framework data providers do not use an OLE DB provider layer. The order in which returns metadata about each column in a table, and the DataReader columns that are returned, vary depending on which data provider you use. The following table lists data providers and members that implement .

  Data Provider

  Member

  .NET Data Provider for ODBC

  .

  .NET Data Provider for OLE DB

  .

  .NET Data Provider for Oracle

  .

  .NET Data Provider for SQL Server

  .

  Returns a that describes the column metadata of the .

  A that describes the column metadata.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  and are the only properties that you can call after the is closed.

  Gets a value indicating whether the data reader is closed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Used to process multiple results, which can be obtained by executing batch SQL statements.

  By default, the data reader is positioned on the first result.

  code reference: IDataReader_NextResult#1

  Advances the data reader to the next result, when reading the results of batch SQL statements.

  true if there are more rows; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The default position of the is prior to the first record. Therefore you must call to begin accessing any data.

  While the data reader is in use, the associated connection is busy serving the . This is the case until is called.

  Advances the to the next record.

  true if there are more rows; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The property is not set until all rows are read and you close the .

  and are the only properties that you can call after the is closed.

  Gets the number of rows changed, inserted, or deleted by execution of the SQL statement.

  1.0.5000.0
  2.0.0.0